using System;
using HarmonyLib;

namespace Zompiercer {
    [HarmonyPatch]
    public class Patches {
        [HarmonyPostfix]
        [HarmonyPatch(typeof(InventoryItem), "GetWeight")]
        static void GetWeight(ref float __result) {
            if (Main.debug.Value) 
                Console.WriteLine("GetWeight: " + __result);
            __result = __result * Main.weightMultiplier.Value;
        }

        [HarmonyPostfix]
        [HarmonyPatch(typeof(InventoryItem), "GetWeightOfOneItem")]
        static void GetWeightOfOneItem(ref float __result) {
            if (Main.debug.Value) 
                Console.WriteLine("GetWeightOfOneItem: " + __result);
            __result = __result * Main.weightMultiplier.Value;
        }

        //[HarmonyPrefix]
        //[HarmonyPatch(typeof(ManPlayer), "AddMoney")]
        //static void MoneyMulti(ref int amount) {
        //    amount = (int)(amount * Main.moneyMultiplier.Value);
        //}

        //[HarmonyPrefix]
        //[HarmonyPatch(typeof(TechHolders), "SetHeartbeatInterval")]
        //static void HeartbeatMulti(ref float interval) {
        //    interval *= Main.heartbeatIntervalMultiplier.Value;
        //}
    }
}
